<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"
%><%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html"
%><%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic"
%><%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles"
%><%@ page import="java.util.ArrayList"
%><%@ page import="java.util.List"
%><%@ page import="com.abcinc.phonelist.ContactBean"
%><%
  List contactBeanList = (List)request.getAttribute("contactBeanList");
  List columnHeaderList = new ArrayList();
  columnHeaderList.add("X"); // label for column of checkboxes to delete entries
  columnHeaderList.add("Edit"); // label for column of edit links
  columnHeaderList.add("Last Name");
  columnHeaderList.add("First Name");
  columnHeaderList.add("Phone");
  columnHeaderList.add("Fax");
  columnHeaderList.add("Email");
  int numColumnHeaders = columnHeaderList.size();
  pageContext.setAttribute("columnHeaderList", columnHeaderList);
%><style>
.tableTitle {
  text-align: center;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 8pt;
  font-style: normal;
  font-weight: bold;
  color: black;
  text-decoration: none;
  padding: 8px;
  background-color: #aaaaaa;
  border-left: 1px solid black;
  border-right: 1px solid black;
  border-top: 1px solid black;
  border-bottom: 1px solid black;
}
.columnHeading {
  text-align: center;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 8pt;
  font-style: normal;
  font-weight: bold;
  color: black;
  text-decoration: none;
  padding: 8px;
  background-color: #dddddd;
  border-left: 1px solid black;
  border-right: 1px solid black;
  border-top: 1px solid black;
}
.rowNormal {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 8pt;
  font-style: normal;
  font-weight: normal;
  color: black;
  text-decoration: none;
  padding: 8px;
  background-color: lightBlue;
}
.rowAlternate {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 8pt;
  font-style: normal;
  font-weight: normal;
  color: black;
  text-decoration: none;
  padding: 8px;
  background-color: white;
}
.buttonRow {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 8pt;
  font-style: normal;
  font-weight: normal;
  color: black;
  text-decoration: none;
  padding: 8px;
  background-color: lightGrey;
  border-left: 1px solid black;
  border-right: 1px solid black;
  border-bottom: 1px solid black;
}
.firstColumn {
  border-left: 1px solid black;
}
.lastColumn {
  border-right: 1px solid black;
}
</style>
<html:form action="/delete.do" styleId="contactListForm">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
  <td align="center">
    <table>
    <tr>
      <td class="tableTitle" colspan="<%= numColumnHeaders %>">Phone List</td>
    </tr>
    <tr>
    <logic:iterate id="columnHeader" name="columnHeaderList">
      <td class="columnHeading"><bean:write name="columnHeader"/></td>
    </logic:iterate>
    </tr>
    <% if (contactBeanList.size() > 0) { %>
    <%   int rowNumber = 0; %>
    <logic:iterate id="contactBean" name="contactBeanList" type="com.abcinc.phonelist.ContactBean">
    <tr class="<%= (rowNumber++ % 2 == 0) ? "rowNormal" : "rowAlternate" %>">
      <td class="firstColumn">
        <html:multibox property="id"><bean:write name="contactBean" property="id"/></html:multibox>
      </td>
      <td style="text-align: center;">
        <html:link action="/edit" paramId="id" paramName="contactBean" paramProperty="id">Edit</html:link>
      </td>
      <td><bean:write name="contactBean" property="lastName"/></td>
      <td><bean:write name="contactBean" property="firstName"/></td>
      <td><bean:write name="contactBean" property="phone"/></td>
      <td><bean:write name="contactBean" property="fax"/></td>
      <td class="lastColumn">&nbsp;<bean:write name="contactBean" property="email"/>&nbsp;</td>
    </tr>
    </logic:iterate>
    <% } else { %>
    <tr class="rowNormal">
      <td style="text-align: center;" colspan="<%= numColumnHeaders %>">No contacts in phone list.</td>
    </tr>
    <% } %>
    <tr>
      <td class="buttonRow" colspan="<%= numColumnHeaders %>">
        <html:submit property="submitButton" value="Delete Selected"/>
        <html:link action="/new">Create New Contact</html:link>
      </td>
    </tr>
    </table>
  </td>
</tr>
</table>
</html:form>
